/****************************************************************************
*
* File:             Constants.h
* Author:           Nikolaos Radouniklis
* Date:             05/24/96
* Last changed:     07/24/96
* Description:      includes all Constants of CME
*
*
****************************************************************************/

#ifndef _constants_h
#define _constants_h



/* CME Database */
#define CME_PREFIX  		"CME_"

/* MS (Media Services Constants) */
#define VIC_COMMAND			"vic.xil"
#define VAT_COMMAND			"vat"
#define WB_COMMAND			"wb"
#define VIC_EXEC			"vic.xil"
#define VAT_EXEC			"vat"
#define WB_EXEC				"wb"
#define MS_MAX_ARGS			10

/* MS TCL Interfaces */
#define VIC_TCL_INTERFACE	"./vic.interface.tcl"
#define VAT_TCL_INTERFACE	"./vat.interface.tcl"


/* Listing of Media Service Names */
#define VIC					"vic"
#define VAT					"vat"
#define WB					"wb"


/* MSM (Media Service Monitor Constants) */
#define MSMONITOR_FILE			"./MSMonitor"
#define MSMONITOR_EXEC			"MSMonitor"
#define MAX_PARTICIPANTS		10
#define MAX_PARTICIPANT_LENGTH	80
#define MAX_PARTICIPANT_LIST	800
#define DELIMITER				"|"

/* Database Constants (DatabaseName & all tables) */
#define SQL_STATEMENT_MAX	1000
#define NO_SOCKET			-1



/* Tcl stuff */
#define TCL_STATEMENT_MAX	100


/* Monitor definitions */
#define MAXSAMPLES			10
/* sleep interval in micro seconds */
#define INTERVAL			1000000

/* Time to wait after MSM kill signal sent --> secure that MSM died */
#define MAX_INTERVAL		2




/* Misc definitions */
#define SHELL				"/bin/sh"
#define MAX_CHARBUFFER		255



/* VIC Attributes */
#define	VIC_MAXFPS				"maxfps"
#define VIC_MAXKBPS				"maxkbps"
#define	VIC_ENCODING			"encoding"
#define	VIC_RESOLUTION			"resolution"

#define JPEG					"jpeg"
#define H261					"h261"
#define NV						"nv"


/* VAT Attributes */
#define	VAT_ENCODING			"encoding"
#define VAT_PCM					"pcm"
#define VAT_DVI					"dvi"
#define VAT_GSM					"gsm"
#define VAT_LPC					"lpc"
#define VAT_ZERO				""



/* Qos User level attributes */
#define QOS_EXCELLENT			5
#define QOS_GOOD				4
#define QOS_FAIR				3
#define QOS_POOR				2
#define QOS_BAD					1

/* Number of QoS levels */
#define QOS_LEVELS				5


/* Qos mapping strategies 	 */
#define QOS_MAP_MIN					0
#define QOS_MAP_MED					1
#define QOS_MAP_MAX					2

/* QoS Row definitions  	 */
#define QOS_ROW_FRAMERATE			0
#define QOS_ROW_RESOLUTION			1


/* Qos No value AND QoS zero */
#define QOS_NO_VALUE				-1
#define QOS_ZERO					0

/*QoS Vat specific			*/
#define QOS_VAT_PCM					5
#define QOS_VAT_DVI					4
#define QOS_VAT_GSM					3
#define QOS_VAT_LPC					2
#define QOS_VAT_BAD					1
#define QOS_VAT_ZERO				0

/* QoS Row definitions (Vat spec.) */
#define QOS_ROW_VAT_ENCODING		0



/* Connection management (CM) */
#define DEF_PORT					"6666"
#define CONNECT_OK					-1
#define CONNECT_FAIL				0

#define CM_MAXUSRLEN				255
#define MAX_ADDRESS					20

#define DEF_MULTICAST_ADDRESS		"224.2.154.5"
#define DEF_VIC_PORT				"34667"
#define DEF_VAT_PORT				"37560"
#define DEF_WB_PORT					"34081"




/* Display */
#define SECURE_DISPLAY				"./Xsecure.sh"

#endif
