/****************************************************************************
*
* File:             MS_Types.h
* Author:           Nikolaos Radouniklis
* Date:             05/23/96
* Last changed:     07/22/96
* Description:      includes description of the various Media Service Types
*
*
****************************************************************************/

#ifndef _ms_types_h
#define _ms_types_h

#include "Constants.h"


/* Data structures for the monitor module: MSMonitor.c */


struct VicInfo {
	char		Compression[20];
	float		FrameRate;
	int			Bandwith;
	int 		Loss;
};


struct VatInfo {
	int			Compression;
};


/* Data structures for the QoSMapper module: QoSMapper.c */

struct VicAppStruct {
	char		Encoding[10];
	float		FrameRate;
	float		Resolution;
};
typedef struct VicAppStruct VicAppStruct;
	

struct VatAppStruct {
	float		Encoding;
};
typedef struct VatAppStruct VatAppStruct;


/*Data structures for the Connection Manager */

struct InvitationLetterStruct {
	char	Participant  [MAX_PARTICIPANTS][MAX_PARTICIPANT_LENGTH]; 
	char	Participant2 [MAX_PARTICIPANTS][MAX_PARTICIPANT_LENGTH];
	int		DBsock  	 [MAX_PARTICIPANTS];
	int		VicQoS		 [MAX_PARTICIPANTS];
	int		VatQoS		 [MAX_PARTICIPANTS];
	int		WbQoS		 [MAX_PARTICIPANTS];
	int		VicPort; 	/* 0: If no vic is used */
	int		VatPort;	/* 0: If no vat is used */
	int		WbPort;		/* 0: If no wb  is used */
	char	Address[MAX_ADDRESS];
	int		Port;
	int		TTL;
};
typedef struct InvitationLetterStruct InvitationLetterStruct;

/* example 										*/
/* Participant : 	nikolaus@icsib8 			*/
/* Participant2: 	nikolaus@128.32.23.192		*/
/* DBsock:			12							*/
/* VicQoS:			4							*/
/* VatQoS:			3							*/
/* WbQoS:			0							*/
/* VicPort:			11234						*/
/* VatPort:			12345						*/
/* WbPort:				0						*/
/* Address			224.12.23.12				*/
/* Port:			2345						*/
/* TTL:				16							*/







#endif
