/****************************************************************************
*
* File:             inet.h
* Author:           Nikolaos Radouniklis (extracted from vic code)
* Date:             07/18/96
* Last changed:     07/18/96
* Description:      provides auxialiary functions for host to address
*                   conversions
*                   E.g. pop.icsi.berkeley.edu <--> 128.32.48.213
*
****************************************************************************/


#include <sys/types.h>
#include <netinet/in.h>
#include <arpa/inet.h>


typedef signed char int8_t;
typedef unsigned char u_int8_t;
typedef short int16_t;
typedef unsigned short u_int16_t;
typedef unsigned int u_int32_t;
typedef int int32_t;


extern char *LookupHostName(u_int32_t addr);
extern char *InetNtoa(u_int32_t addr);
extern u_int32_t LookupLocalAddr(void);
extern u_int32_t LookupHostAddr(const char* host);
extern const char* intoa(u_int32_t addr);

#define NTOHL(d) ((d) = ntohl((d)))
#define NTOHS(d) ((d) = ntohs((d)))
#define HTONL(d) ((d) = htonl((d)))
#define HTONS(d) ((d) = htons((d)))



