/****************************************************************************
*
* File:             util.c
* Author:           Nikolaos Radouniklis
* Date:             07/23/96
* Last changed:     07/23/96
* Description:      provides utility functions
*                   
* Comment:			
*
****************************************************************************/


/* system includes */

#include <stdio.h>
#include <string.h>
#include <stddef.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <netinet/in.h>
#include <netdb.h>
#include <signal.h>
#include <msql.h>
#include <tcl.h>
#include <tk.h>

/* my includes */
#include "MS_Types.h"
#include "Constants.h"
#include "Database.h"
#include "TclInterp.h"
#include "inet.h"


/* Global variables */
extern int G_Sock; /*global socket descriptor, necessary due to Tk_FileEventHandler */
extern InvitationLetterStruct InvitationLetter; /* global invitation letter */
extern Tcl_Interp *G_interp;


/****************************************************************************
*
* Procedure:        GetMyIndex
* Param:			-
* Result:           Index in InvitationLetter; (-1) no index
* Date:             07/09/96
* Last changed:     07/09/96
* Description:		Retrieves the Index of the Participant 
*					in the InvitationLetter
*
* Comment:			uses global structure InvitationLetter
*
****************************************************************************/
int GetMyIndex ()
{

	static char Host 	 [MAX_CHARBUFFER];
	static char tempbuf  [MAX_CHARBUFFER];
	static char PAddress [MAX_CHARBUFFER];
	static char MyAddress[MAX_CHARBUFFER];
	char *token;

	static int done=0;
	static int index = -1;
	int i=0;

	/* if not done, scan through host addresses to get index */
	if ( done == 0 )
	{
		/* get first MyAddress in format (e.g. 128.32.23.123 ) */
		gethostname (Host, MAX_CHARBUFFER -1);
		strcpy (MyAddress, InetNtoa(LookupHostAddr( Host ) ) );
		while (strcmp (InvitationLetter.Participant2[i], "" ) != 0 )
		{
			/* extract address (--> e.g. 128.32.23.9 ) */
			strcpy (tempbuf, InvitationLetter.Participant2[i]);
        	token = strtok ( tempbuf, "@" );
        	token = strtok ( NULL, "@");
        	strcpy (PAddress, token);

			/* compare addresses */
			if ( strcmp (MyAddress, PAddress ) == 0 )
				index = i;

			i+=1;
		}
		done = 1;
	}	

	return index;
}


 
void MySleep (unsigned int usecs)
{
    struct timeval tv;
    tv.tv_sec  = usecs / 1000000L;
    tv.tv_usec = usecs % 1000000L;
    select (0, 0, 0, 0, &tv);
}

